Skip to content
cascadehook.docs
API referenceEvents

Read an event including its original envelope

GET
/v1/events/{event_id}

Authorization

projectAPIKey
headerAuthorizationBearer <ch_dev_ or ch_live_ project API key>

Read CASCADEHOOK_API_KEY from the local environment. Never print keys or headers. Scope is the project selected when the key was created.

Path Parameters

event_id*string
Formatuuid

Response Body

Read an event including its original envelope

application/json
  1. response
id*string
Formatuuid
project_id*string
Formatuuid
type*EventType
Match^[a-z0-9][a-z0-9_.-]{2,127}$
Length3 <= length <= 128
delivery_count*integer
Range0 <= value
created_at*string
Formatdate-time
payload*unknown

Complete original event envelope, containing type and data; not just data.

Example Request
curl -X GET 'https://api.cascadehook.com/v1/events/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "type": "string",  "delivery_count": 0,  "created_at": "2019-08-24T14:15:22Z",  "payload": null}